package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 导入人员核酸时间记录对象 user_nucleic_time
 * 
 * @author ruoyi
 * @date 2022-08-15
 */
public class UserNucleicTime extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 导入人员id(user_info表id) */
    private Long infoId;

    /** 身份证号码 */
    private String idCard;

    /** 采集地点 */
    private String collectPlace;

    /** 核酸采集时间 */
    private String nucleicCollectTime;

    /** 核酸结果时间 */
    private String nucleicResultsTime;

    /** 核酸结果 0：阴性1：阳性 */
    private String nucleicResult;

    /** 职业类别 */
    private String jobStyle;

    /** 重点人群分类 */
    private String focusCrowdStyle;

    /** 姓名 */
    @Excel(name = "姓名")
    private String name;

    /** 联系号码 */
    @Excel(name = "联系号码")
    private String phoneNum;

    /** 部门id */
    @Excel(name = "部门id")
    private String deptId;

    /** 数据来源 */
    private String dateSource;

    public String getDateSource() {
        return dateSource;
    }

    public String getDeptId() {
        return deptId;
    }

    public void setDeptId(String deptId) {
        this.deptId = deptId;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setInfoId(Long infoId) 
    {
        this.infoId = infoId;
    }

    public Long getInfoId() 
    {
        return infoId;
    }
    public void setCollectPlace(String collectPlace) 
    {
        this.collectPlace = collectPlace;
    }

    public String getCollectPlace() 
    {
        return collectPlace;
    }
    public void setNucleicCollectTime(String nucleicCollectTime) 
    {
        this.nucleicCollectTime = nucleicCollectTime;
    }

    public String getNucleicCollectTime() 
    {
        return nucleicCollectTime;
    }
    public void setNucleicResultsTime(String nucleicResultsTime) 
    {
        this.nucleicResultsTime = nucleicResultsTime;
    }

    public String getNucleicResultsTime() 
    {
        return nucleicResultsTime;
    }
    public void setNucleicResult(String nucleicResult) 
    {
        this.nucleicResult = nucleicResult;
    }

    public String getNucleicResult() 
    {
        return nucleicResult;
    }

    public String getIdCard() {
        return idCard;
    }

    public void setIdCard(String idCard) {
        this.idCard = idCard;
    }

    public String getJobStyle() {
        return jobStyle;
    }

    public String getFocusCrowdStyle() {
        return focusCrowdStyle;
    }

    public void setJobStyle(String jobStyle) {
        this.jobStyle = jobStyle;
    }

    public void setFocusCrowdStyle(String focusCrowdStyle) {
        this.focusCrowdStyle = focusCrowdStyle;
    }

    public String getName() {
        return name;
    }

    public String getPhoneNum() {
        return phoneNum;
    }

    public void setName(String name) {
        this.name = name;
    }

    public void setPhoneNum(String phoneNum) {
        this.phoneNum = phoneNum;
    }

    public void setDateSource(String dateSource) {
        this.dateSource = dateSource;
    }

    @Override
    public String toString() {
        return "UserNucleicTime{" +
                "id=" + id +
                ", infoId=" + infoId +
                ", idCard='" + idCard + '\'' +
                ", collectPlace='" + collectPlace + '\'' +
                ", nucleicCollectTime='" + nucleicCollectTime + '\'' +
                ", nucleicResultsTime='" + nucleicResultsTime + '\'' +
                ", nucleicResult='" + nucleicResult + '\'' +
                ", jobStyle='" + jobStyle + '\'' +
                ", focusCrowdStyle='" + focusCrowdStyle + '\'' +
                ", name='" + name + '\'' +
                ", phoneNum='" + phoneNum + '\'' +
                ", deptId='" + deptId + '\'' +
                ", dateSource='" + dateSource + '\'' +
                '}';
    }
}
